#!/usr/bin/make -f

PACKAGE=funkload

export DH_VERBOSE=1

#UPSTREAM_VERSION=1.13.0

DEB_SRCDIR=$(CURDIR)
ROOT==$(DEB_SRCDIR)/debian/$(PACKAGE)

#DEB_PYTHON_SYSTEM=pysupport
#DEB_PYTHON_VERSIONS=all

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/python-distutils.mk

%:
	dh $@

override_dh_installexamples:
	mkdir -p ${ROOT}/usr/share/doc/${PACKAGE}/examples
	dh_installexamples src/funkload/demo


override_dh_auto_install:
	python setup.py  install --prefix=/usr


override_dh_auto_test:

#	cd src/funkload/tests && python ${DEB_SRCDIR}/scripts/fl-run-test -v test_Install.py

#override_dh_clean:
#	rm -fr build home

#binary-install/funkload::
#	rm -fr build home
#	cp -a CHANGES.txt debian/funkload/usr/share/doc/funkload/changelog
#	rm -f debian/funkload/usr/share/doc/funkload/CHANGES.txt.*
#	cp -a debian/funkload.html debian/funkload/usr/share/doc/funkload
#	(echo -n "current tree "; bzr revno ) > debian/note-to-self || true
#	cp -a debian/note-to-self debian/funkload/usr/share/doc/funkload
#	dh_installman debian/*.1
#	perl debian/dh_installoverrides

